> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /payscale/employers

> Get the full Payscale salary report for an employer (company): pay percentiles (salary, total compensation, bonus, commission, hourly rate, profit sharing), pay by city, degree, gender, job and years of experience, employee satisfaction ratings, benefits, peer-company comparisons, office locations and company facts.

**Price:** 5 credits

**⚠️ Common errors:** 412: Employer not found (well-formed but nonexistent employer slug)



## OpenAPI

````yaml /openapi/jobs.json post /api/payscale/employers
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/payscale/employers:
    post:
      tags:
        - /payscale
      summary: /payscale/employers
      description: >-
        Get the full Payscale salary report for an employer (company): pay
        percentiles (salary, total compensation, bonus, commission, hourly rate,
        profit sharing), pay by city, degree, gender, job and years of
        experience, employee satisfaction ratings, benefits, peer-company
        comparisons, office locations and company facts.


        **Price:** 5 credits


        **⚠️ Common errors:** 412: Employer not found (well-formed but
        nonexistent employer slug)
      operationId: __api_payscale_employers_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayscaleEmployersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PayscaleEmployerReport'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PayscaleEmployersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        employer:
          type: string
          minLength: 1
        country:
          $ref: '#/components/schemas/PayscaleCountry'
          default: US
        report_type:
          $ref: '#/components/schemas/PayscaleReportType'
          default: Salary
      type: object
      required:
        - employer
    PayscaleEmployerReport:
      properties:
        '@type':
          type: string
          default: PayscaleEmployerReport
        category:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        report_type:
          anyOf:
            - type: string
            - type: 'null'
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
        last_updated:
          anyOf:
            - type: string
            - type: 'null'
        multi_dimensional:
          anyOf:
            - type: boolean
            - type: 'null'
        refs:
          anyOf:
            - $ref: '#/components/schemas/PayscaleRefs'
            - type: 'null'
        narratives:
          anyOf:
            - $ref: '#/components/schemas/PayscaleNarratives'
            - type: 'null'
        compensation:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensation'
            - type: 'null'
        by_dimension:
          additionalProperties:
            $ref: '#/components/schemas/PayscaleDimension'
          type: object
          default: {}
        ratings:
          items:
            $ref: '#/components/schemas/PayscaleRating'
          type: array
          default: []
        related:
          items:
            $ref: '#/components/schemas/PayscaleRelated'
          type: array
          default: []
        occupational_details:
          anyOf:
            - $ref: '#/components/schemas/PayscaleOccupationalDetails'
            - type: 'null'
        benefits:
          anyOf:
            - $ref: '#/components/schemas/PayscaleBenefits'
            - type: 'null'
        comparisons:
          anyOf:
            - $ref: '#/components/schemas/PayscaleComparisons'
            - type: 'null'
        locations:
          items:
            $ref: '#/components/schemas/PayscaleEmployerLocation'
          type: array
          default: []
        location_count:
          anyOf:
            - type: integer
            - type: 'null'
        fact_data:
          anyOf:
            - $ref: '#/components/schemas/PayscaleEmployerFacts'
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PayscaleCountry:
      type: string
      enum:
        - US
        - CA
        - UK
        - AU
    PayscaleReportType:
      type: string
      enum:
        - Salary
        - HourlyRate
    PayscaleRefs:
      properties:
        '@type':
          type: string
          default: PayscaleRefs
        url:
          anyOf:
            - type: string
            - type: 'null'
        default_url:
          anyOf:
            - type: string
            - type: 'null'
        parent_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PayscaleNarratives:
      properties:
        '@type':
          type: string
          default: PayscaleNarratives
        summary_salary:
          anyOf:
            - type: string
            - type: 'null'
        summary_hourly:
          anyOf:
            - type: string
            - type: 'null'
        employer_pay:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PayscaleCompensation:
      properties:
        '@type':
          type: string
          default: PayscaleCompensation
        salary:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        total:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        bonus:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        commission:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        hourly_rate:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
        profit_sharing:
          anyOf:
            - $ref: '#/components/schemas/PayscaleCompensationBlock'
            - type: 'null'
      type: object
    PayscaleDimension:
      properties:
        '@type':
          type: string
          default: PayscaleDimension
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
        last_updated:
          anyOf:
            - type: string
            - type: 'null'
        rows:
          items:
            $ref: '#/components/schemas/PayscaleDimensionRow'
          type: array
          default: []
      type: object
    PayscaleRating:
      properties:
        '@type':
          type: string
          default: PayscaleRating
        name:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    PayscaleRelated:
      properties:
        '@type':
          type: string
          default: PayscaleRelated
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
        average:
          anyOf:
            - type: number
            - type: 'null'
        range:
          anyOf:
            - $ref: '#/components/schemas/PayscalePercentiles'
            - type: 'null'
      type: object
    PayscaleOccupationalDetails:
      properties:
        '@type':
          type: string
          default: PayscaleOccupationalDetails
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        occupational_category:
          anyOf:
            - type: string
            - type: 'null'
        skills:
          items:
            type: string
          type: array
          default: []
        sample_size:
          anyOf:
            - type: integer
            - type: 'null'
        estimated_salary:
          items:
            $ref: '#/components/schemas/PayscaleEstimatedSalary'
          type: array
          default: []
      type: object
    PayscaleBenefits:
      properties:
        '@type':
          type: string
          default: PayscaleBenefits
        retirement_benefits:
          items:
            type: string
          type: array
          default: []
        health_benefits:
          items:
            type: string
          type: array
          default: []
      type: object
    PayscaleComparisons:
      properties:
        '@type':
          type: string
          default: PayscaleComparisons
        basis:
          anyOf:
            - $ref: '#/components/schemas/PayscaleComparisonItem'
            - type: 'null'
        comparables:
          items:
            $ref: '#/components/schemas/PayscaleComparisonItem'
          type: array
          default: []
      type: object
    PayscaleEmployerLocation:
      properties:
        '@type':
          type: string
          default: PayscaleEmployerLocation
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PayscaleEmployerFacts:
      properties:
        '@type':
          type: string
          default: PayscaleEmployerFacts
        name:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          anyOf:
            - type: string
            - type: 'null'
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        industries:
          items:
            type: string
          type: array
          default: []
        synonyms:
          items:
            type: string
          type: array
          default: []
        founded_on:
          anyOf:
            - type: string
            - type: 'null'
        founded_year:
          anyOf:
            - type: integer
            - type: 'null'
        num_employees_min:
          anyOf:
            - type: integer
            - type: 'null'
        num_employees_max:
          anyOf:
            - type: integer
            - type: 'null'
        organization_type:
          anyOf:
            - type: string
            - type: 'null'
        stock_exchange:
          anyOf:
            - type: string
            - type: 'null'
        wikipedia_url:
          anyOf:
            - type: string
            - type: 'null'
        geo:
          anyOf:
            - $ref: '#/components/schemas/PayscaleEmployerGeo'
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        last_updated:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    PayscaleCompensationBlock:
      properties:
        '@type':
          type: string
          default: PayscaleCompensationBlock
        p10:
          anyOf:
            - type: number
            - type: 'null'
        p25:
          anyOf:
            - type: number
            - type: 'null'
        p50:
          anyOf:
            - type: number
            - type: 'null'
        p75:
          anyOf:
            - type: number
            - type: 'null'
        p90:
          anyOf:
            - type: number
            - type: 'null'
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    PayscaleDimensionRow:
      properties:
        '@type':
          type: string
          default: PayscaleDimensionRow
        name:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        profile_count:
          anyOf:
            - type: integer
            - type: 'null'
        range:
          anyOf:
            - $ref: '#/components/schemas/PayscalePercentiles'
            - type: 'null'
        is_estimated:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    PayscalePercentiles:
      properties:
        '@type':
          type: string
          default: PayscalePercentiles
        p10:
          anyOf:
            - type: number
            - type: 'null'
        p25:
          anyOf:
            - type: number
            - type: 'null'
        p50:
          anyOf:
            - type: number
            - type: 'null'
        p75:
          anyOf:
            - type: number
            - type: 'null'
        p90:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    PayscaleEstimatedSalary:
      properties:
        '@type':
          type: string
          default: PayscaleEstimatedSalary
        name:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        median:
          anyOf:
            - type: string
            - type: 'null'
        percentile10:
          anyOf:
            - type: string
            - type: 'null'
        percentile25:
          anyOf:
            - type: string
            - type: 'null'
        percentile75:
          anyOf:
            - type: string
            - type: 'null'
        percentile90:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PayscaleComparisonItem:
      properties:
        '@type':
          type: string
          default: PayscaleComparisonItem
        name:
          anyOf:
            - type: string
            - type: 'null'
        link:
          anyOf:
            - type: string
            - type: 'null'
        satisfaction_rating:
          anyOf:
            - type: number
            - type: 'null'
        stress_rating:
          anyOf:
            - type: number
            - type: 'null'
        male_percentage:
          anyOf:
            - type: number
            - type: 'null'
        female_percentage:
          anyOf:
            - type: number
            - type: 'null'
        flexibility_rating:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    PayscaleEmployerGeo:
      properties:
        '@type':
          type: string
          default: PayscaleEmployerGeo
        street:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````